Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/opensmtpd: Move sendmail to /usr/sbin

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 22 Sep 2015 15:35:52 +0200

This is needed to overwrite busybox sendmail implementation.
---
 testing/opensmtpd/APKBUILD | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)
diff --git a/testing/opensmtpd/APKBUILD b/testing/opensmtpd/APKBUILD
index ad80dcd..3395850 100644
--- a/testing/opensmtpd/APKBUILD
+++ b/testing/opensmtpd/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Jonathan Curran <jonathan_at_curran.in>
 pkgname=opensmtpd
 pkgver=5.7.1p1
-pkgrel=0
+pkgrel=1
 pkgdesc="secure, reliable, lean, and easy-to configure SMTP server"
 url="http://www.opensmtpd.org"
 arch="x86_64"
_at_@ -53,11 +53,14 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-        make DESTDIR=${pkgdir} install || return 1
+        make DESTDIR=${pkgdir} -C "$_builddir" install || return 1
 	sed -i 's#/etc/mail#/etc/smtpd#g' "$pkgdir"/etc/smtpd/smtpd.conf
-	install -Dm755 "$srcdir"/smtpd.initd "$pkgdir"/etc/init.d/smtpd
-	install -Dm644 "$srcdir"/aliases "$pkgdir"/etc/smtpd/aliases
+
+	install -Dm755 "$srcdir"/smtpd.initd "$pkgdir"/etc/init.d/smtpd || return 1
+	install -Dm644 "$srcdir"/aliases "$pkgdir"/etc/smtpd/aliases || return 1
+
+	# Move sendmail to /usr/sbin to overwrite busyboxs sendmail.
+	mv "$pkgdir"/usr/bin/sendmail "$pkgdir"/usr/sbin/ || return 1
 }
 
 md5sums="bf81fdc691808efa6acd7bdde5df757f  opensmtpd-5.7.1p1.tar.gz
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Sep 22 2015 - 15:35:52 GMT